Page MenuHomePhabricator

Misaligned icon and unnecessary warning on new translation input field
Closed, DeclinedPublic

Description

When creating a new translation, and the article title is removed, the input field gets a red border showing the magnifying glass icon misplaced. In addition to the icon position, the empty field should not be communicated as an error, the "start translation" button should remain disabled instead (while a valid article is not selected).

These observations may not be relevant if the new dialog for starting a translation is implemented, as proposed in T111094: Improve the New Translation dialog to easily find articles to translate

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenAmire80
DeclinedNone

Event Timeline

Pginer-WMF removed Pginer-WMF as the assignee of this task.Jun 19 2017, 10:15 AM
santhosh updated the task description. (Show Details)Jun 20 2017, 4:46 AM
santhosh added a subscriber: santhosh.
Amire80 moved this task from Needs Triage to CX2 on the ContentTranslation board.Jun 25 2017, 8:06 PM
Amire80 triaged this task as Normal priority.Jul 3 2017, 3:09 PM
Petar.petkovic closed this task as Declined.Mar 2 2018, 11:02 PM
Petar.petkovic added a subscriber: Petar.petkovic.

Last line of description says correctly that this ticket becomes irrelevant when T111094 is implemented. Before that, this was actually fixed, but gerrit patch not linked to this bug number.